For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create an auction event

Creates a new auction event.

Add auction items to the event by passing the event's ID as auctionEventId when creating an auction item.

post
Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate Public Token.

Query parameters
fields[auction-events]stringOptional

Available values are name, startsAt, endsAt, staggeredEndsAt, staggerClose, status, archivedAt, createdAt, updatedAt. You can include multiple values by separating them with a comma.

Body
namestring · max: 255Required

The name of the auction event.

startsAtstring · date-timeRequired

The date and time the event opens (ISO 8601).

endsAtstring · date-timeRequired

The date and time the event closes (ISO 8601).

Responses
201

AuctionEventResource

application/vnd.api+json
post/auction-events
POST /v1/auction-events HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 152

{
  "name": "text",
  "startsAt": "2026-01-01T00:00:00.000Z",
  "endsAt": "2026-01-01T00:00:00.000Z",
  "staggerClose": {
    "enabled": true,
    "interval": null,
    "seconds": null
  }
}
{
  "data": {
    "id": "v7ekmv7amx5133bzpnad37qmg8",
    "type": "auction-events",
    "attributes": {
      "name": "Fine Art Auction",
      "startsAt": "2026-08-29T13:52:05.000000Z",
      "endsAt": "2026-09-05T13:52:05.000000Z",
      "staggeredEndsAt": null,
      "staggerClose": {
        "enabled": true,
        "interval": 3,
        "seconds": 60
      },
      "status": "scheduled",
      "archivedAt": null,
      "createdAt": null,
      "updatedAt": null
    }
  }
}

Last updated